<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<schema xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="urn:magento:framework:Setup/Declaration/Schema/etc/schema.xsd">
    <table name="store_locator" resource="default" engine="innodb" comment="Store Location Table">
        <column xsi:type="smallint" name="id" padding="6" unsigned="false" nullable="false" identity="true"
                comment="Store ID"/>
        <column xsi:type="varchar" name="name" nullable="false" length="255" comment="Store name"/>
        <column xsi:type="varchar" name="description" nullable="false" length="255" comment="Store description"/>
        <column xsi:type="varchar" name="image" nullable="false" length="255" comment="Image"/>
        <column xsi:type="varchar" name="country" nullable="false" length="255" comment="Country"/>
        <column xsi:type="varchar" name="city" nullable="false" length="255" comment="City"/>
        <column xsi:type="varchar" name="address" nullable="false" length="255" comment="Store address"/>
        <column xsi:type="varchar" name="work_schedule" nullable="true" length="255" comment="Work schedule"/>
        <column xsi:type="varchar" name="longitude" nullable="true" length="255" comment="Longitude"/>
        <column xsi:type="varchar" name="latitude" nullable="true" length="255" comment="Latitude"/>
        <column xsi:type="varchar" name="url_key" nullable="true" length="255" comment="Url_key"/>
        <column xsi:type="timestamp" name="creation_time" on_update="false" nullable="false" default="CURRENT_TIMESTAMP"
                comment="Creation Time"/>
        <column xsi:type="timestamp" name="update_time" on_update="true" nullable="false" default="CURRENT_TIMESTAMP"
                comment="Modification Time"/>
        <constraint xsi:type="primary" referenceId="PRIMARY">
            <column name="id"/>
        </constraint>
<!--        <constraint  xsi:type="unique" referenceId="UNIQUE">-->
<!--            <column name = "url_key"/>-->
<!--        </constraint>-->
    </table>
</schema>
